extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:hawkeye/ronin/ronin_layer1",
    "layer2": "tgheroes:hawkeye/ronin/ronin_layer2",
	"scabbard": "fiskheroes:deadpool_xmen_scabbard",
	"katana": "tgheroes:hawkeye/ronin/ronin_sword"
});

var utils = implement("fiskheroes:external/utils");
var scabbard;

function initEffects(renderer) {
    scabbard = renderer.createEffect("fiskheroes:model");
    scabbard.setModel(utils.createModel(renderer, "tgheroes:psylocke_scabbard", "scabbard"));
    scabbard.anchor.set("body");
	
    utils.addLivery(renderer, "KATANA", "katana");
    renderer.bindProperty("fiskheroes:equipped_item").setItems([
    { "anchor": "body", "scale": 0.535, "offset": [3.05, 0.52, 3.0], "rotation": [-148.0, -90.0, 0.0] }
    ]).slotIndex = 0;
}


function render(entity, renderLayer, isFirstPersonArm) {
    if (renderLayer == "CHESTPLATE") {
		scabbard.render();
    }
}